function plot_approximate_solution(uh,N)
  [x,y] = meshgrid(0:1/N:1,1:-1/N:0);
  z = reshape(uh,N-1,N-1);
  z = horzcat(zeros(N-1,1),z,zeros(N-1,1));
  z = vertcat(zeros(N+1,1)',z,zeros(N+1,1)');
  mesh(x,y,z,'EdgeColor','black')
  %axis([0 1 0 1 0 1])
      
      

